
set form {
  GuidoForm form_1 {
    -default_buttons
    -label "Variogram modelling"
    GuidoPanel panel_1 {
    -layout BoxLayout Y_AXIS
      GuidoTextArea gainfocus {
      -visible true
      -default "This text area is here to remove focus and highlighting from the second GuidoTextArea
                This text area must have visible set to true in order to gain focus"
      -height 0
      -width 0
      }
      GuidoLabel space {
      -height 0.5
      }
      GuidoScrollPane scroll_1 {
      -label ""
      -height 10
      -width 50
        GuidoTextArea text_1 {
        -format none
        -linewrap true
        -wrap_style_word true
        -linewrap true
        -input true
        -font_highlight 0 0 0
        -default "
This macro usies the following Menu commands to create a variogram model.

1. Geostatistics > Variogram modelling (by opening an *.EVG file)
2. Variogram > Model (by opening a *.VGM file)
4. Variogram > 
5. Variogram > Report
6. File > Save > Variogram model
7. File > Close
"
        }
      }
      GuidoLabel space {
      -height 0.5
      }
    }
  }
}

SclCreateGuidoForm form_handle $form {
}

$form_handle SclRun {
}

set status [ SclFunction "BM EXIT" {
  frm20103={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]


set status [ SclFunction "RECALL ANY FILE" {
  file="omni.evg"
  mode="openInNewLayer"
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

SclPause 1

set status [ SclFunction "RECALL ANY FILE" {
  file="omni.vgm"
  mode="openInNewLayer"
}]


set status [ SclFunction "VG EXPONENTIAL" {} ]

SclPause 2

set status [ SclFunction "VG GAUSSIAN" {} ]

SclPause 2

set status [ SclFunction "VG CLEAR MODEL" {} ]

set status [ SclFunction "RECALL VG MODEL" {
  vg_model_name="omni1.vgm"
}]

set status [ SclFunction "VG REPORT MODEL" {
  frm20490={
    {
      mod_type="Hole Effect"
      nugget="0.22"
      sill0=0.8"
      range0="2.8"
      sill1=""
      range1=""
      sill2=""
      range2=""
      sill3=""
      range3=""
      sill4=""
      range4=""
      notefile="omni"
    }
  }
}]

SclPause 2

set status [ SclFunction "RECALL VG MODEL" {
  vg_model_name="omni.vgm"
}]

SclPause 2

set status [ SclFunction "VG EXIT" {} ]

puts ""
puts ""
puts "macro 2d_06b_variogram_model_types.tcl completed"
puts ""